import 'package:http/http.dart';
import 'package:rec_api_dart/src/api_paths.dart';
import 'package:rec_api_dart/src/env.base.dart';
import 'package:rec_api_dart/src/interceptors/app_token_interceptor.dart';
import 'package:rec_api_dart/src/services/base_service.dart';

// TODO: Merge this service with all public app requests?
class RecoverPasswordService extends ServiceBase {
  RecoverPasswordService({required EnvBase env, Client? client})
      : super(
          env: env,
          client: client,
          interceptors: [AppTokenInterceptor(env: env)],
        );

  Future recoverPassword({
    String? password,
    String? repassword,
    String? code,
    String? dni,
    String? prefix,
    String? phone,
  }) async {
    var pathWithParams = ApiPaths.recoverPassword.toUri(env);
    var body = {
      'password': password,
      'repassword': repassword,
      'smscode': code,
      'dni': dni,
      'prefix': prefix,
      'phone': phone,
    };

    return this.post(pathWithParams, body);
  }
}
